Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.cluster
Class ClusteringConfig

    java.lang.Object
      org.modeshape.common.component.ComponentConfig
          org.modeshape.repository.cluster.ClusteringConfig

All Implemented Interfaces:
  Comparable<ComponentConfig>

    @Immutable
    public class ClusteringConfig

extends ComponentConfig

A configuration for a cluster.

Constructor Summary
`ClusteringConfig(String name, String description, long timestamp, Map<String,Object> properties, String classname, String[] classpath)`
`ClusteringConfig(String name, String description, Map<String,Object> properties, String classname, String[] classpath)`
`ClusteringConfig(String name, String description, String classname, String[] classpath)`

Method Summary

Methods inherited from class org.modeshape.common.component.ComponentConfig
`compareTo, equals, getComponentClassname, getComponentClasspath, getComponentClasspathArray, getDescription, getName, getProperties, getTimestamp, hasChanged, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteringConfig

    public ClusteringConfig(String name,
                            String description,
                            String classname,
                            String[] classpath)

### ClusteringConfig

    public ClusteringConfig(String name,
                            String description,
                            Map<String,Object> properties,
                            String classname,
                            String[] classpath)

### ClusteringConfig

    public ClusteringConfig(String name,
                            String description,
                            long timestamp,
                            Map<String,Object> properties,
                            String classname,
                            String[] classpath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.